summaryrefslogtreecommitdiffstats
path: root/graphics/jpeg2ps/jpeg2ps.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/jpeg2ps/jpeg2ps.SlackBuild')
-rw-r--r--graphics/jpeg2ps/jpeg2ps.SlackBuild79
1 files changed, 79 insertions, 0 deletions
diff --git a/graphics/jpeg2ps/jpeg2ps.SlackBuild b/graphics/jpeg2ps/jpeg2ps.SlackBuild
new file mode 100644
index 0000000000..3668dcd0cb
--- /dev/null
+++ b/graphics/jpeg2ps/jpeg2ps.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for jpeg2ps
+
+# Copyright 2009 Georgy Shepelev (gshep) <shepelev.georgy@googlemail.com>
+# This software is free. You are granted the right to use, copy, modify and
+# ditribute it without any restrictions.
+#
+# The author accepts no responsibility for damages resulting from the use of
+# this software and makes no warranty, either express or implied, including but
+# not limited to, any implied warranty of merchantability or fitness for a
+# particular purpose. This software is provided as is, and you assume all risks
+# when using it.
+
+PRGNAM=jpeg2ps
+VERSION=${VERSION:-1.9}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root.root .
+chmod -R a-s,u+rw,go+r-w .
+
+make -f Makefile "CC=gcc" "LD=gcc" "CFLAGS=-c $SLKCFLAGS"
+mkdir -p $PKG/usr/bin
+cp jpeg2ps $PKG/usr/bin
+chmod 755 $PKG/usr/bin/jpeg2ps
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/man/man1
+cp jpeg2ps.1 $PKG/usr/man/man1
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ jpeg2ps.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+chown -R root:root .
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}